// --------------------------------------------------------------------------
// The jSyncManager Project -- Source File.
// Copyright (c) 1998 - 2003 Brad BARCLAY <bbarclay@jsyncmanager.org>
// --------------------------------------------------------------------------
// OSI Certified Open Source Software
// --------------------------------------------------------------------------
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published 
// by the Free Software Foundation; either version 2.1 of the License, or 
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public 
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
// --------------------------------------------------------------------------
// $Id: SerialStopBitException.java,v 1.2 2003/11/20 17:50:58 yaztromo Exp $
// --------------------------------------------------------------------------

package org.jSyncManager.JSerial;

// ==========================================================================

/** An exception to be thrown when the serial stop bit setting is invalid.
  * @author Brad BARCLAY &lt;bbarclay@jsyncmanager.org&gt;
  * <br>Last modified by: $Author: yaztromo $ on $Date: 2003/11/20 17:50:58 $.
  * @version $Revision: 1.2 $
  */
public class SerialStopBitException extends Exception {

// ==========================================================================

   /** The following constructor is a messageless exception.
     */
   public SerialStopBitException() { super(); }

// --------------------------------------------------------------------------

   /** The following constructor builds an exception with a given message.
     * @param s the message to include with this exception.
     */
   public SerialStopBitException(String s) { super(s); }

// ==========================================================================

} // end-class

