// --------------------------------------------------------------------------
// The jSyncManager Project -- Source File.
// Copyright (c) 1998 - 2003 Brad BARCLAY <bbarclay@jsyncmanager.org>
// --------------------------------------------------------------------------
// OSI Certified Open Source Software
// --------------------------------------------------------------------------
//
// This library is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published 
// by the Free Software Foundation; either version 2.1 of the License, or 
// (at your option) any later version.
//
// This library is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of 
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public 
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//
// --------------------------------------------------------------------------
// $Id: CommSettingsPanel.java,v 1.1 2003/10/31 05:03:53 yaztromo Exp $
// --------------------------------------------------------------------------

package org.jSyncManager.JSerial.TestSuite;

/**
 * This class generates a simple panel for entering communications settings.
 * @author Brad Barclay
 * @version 1.0
 */
class CommSettingsPanel extends java.awt.Panel {
	private java.awt.Label ivjLabel1 = null;
	private java.awt.Label ivjLabel2 = null;
	private java.awt.Choice ivjportChoice = null;
	private java.awt.Choice ivjspeedChoice = null;

/**
 * Constructs a new Communications Settings Panel.
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
public CommSettingsPanel() {
	super();
	initialize();
}

/**
 * Return the Label1 property value.
 * @return java.awt.Label
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private java.awt.Label getLabel1() {
	if (ivjLabel1 == null) {
		try {
			ivjLabel1 = new java.awt.Label();
			ivjLabel1.setName("Label1");
			ivjLabel1.setAlignment(java.awt.Label.CENTER);
			ivjLabel1.setText("Speed:");
			ivjLabel1.setForeground(new java.awt.Color(0, 0, 72));
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjLabel1;
}

/**
 * Return the Label2 property value.
 * @return java.awt.Label
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private java.awt.Label getLabel2() {
	if (ivjLabel2 == null) {
		try {
			ivjLabel2 = new java.awt.Label();
			ivjLabel2.setName("Label2");
			ivjLabel2.setAlignment(java.awt.Label.CENTER);
			ivjLabel2.setText("Port:");
			ivjLabel2.setForeground(new java.awt.Color(0, 0, 72));
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjLabel2;
}

/**
 * Return the portChoice property value.
 * @return java.awt.Choice
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private java.awt.Choice getportChoice() {
	if (ivjportChoice == null) {
		try {
			ivjportChoice = new java.awt.Choice();
			ivjportChoice.setName("portChoice");
			ivjportChoice.setBackground(java.awt.Color.white);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjportChoice;
}

/**
 * Grabs a handle to the "Port" Choice Object.
 * @return java.awt.Choice The Port Choice Object.
 */
public java.awt.Choice getPortSelect() {
	return getportChoice();
}
/**
 * Return the speedChoice property value.
 * @return java.awt.Choice
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private java.awt.Choice getspeedChoice() {
	if (ivjspeedChoice == null) {
		try {
			ivjspeedChoice = new java.awt.Choice();
			ivjspeedChoice.setName("speedChoice");
			ivjspeedChoice.setBackground(java.awt.Color.white);
			// user code begin {1}
			// user code end
		} catch (java.lang.Throwable ivjExc) {
			// user code begin {2}
			// user code end
			handleException(ivjExc);
		}
	};
	return ivjspeedChoice;
}

/**
 * Return the handle to the "Speed" Choice Object.
 * @return java.awt.Choice the Speed Choice Object.
 */
public java.awt.Choice getSpeedSelect() {
	return getspeedChoice();
}
/**
 * Called whenever the part throws an exception.
 * @param exception java.lang.Throwable
 */
private void handleException(Throwable exception) {

	/* Uncomment the following lines to print uncaught exceptions to stdout */
	// System.out.println("--------- UNCAUGHT EXCEPTION ---------");
	// exception.printStackTrace(System.out);
}

/**
 * Initialize class
 */
/* WARNING: THIS METHOD WILL BE REGENERATED. */
private void initialize() {
	// user code begin {1}
	// user code end
	java.awt.GridBagConstraints constraintsspeedChoice = new java.awt.GridBagConstraints();
	java.awt.GridBagConstraints constraintsportChoice = new java.awt.GridBagConstraints();
	java.awt.GridBagConstraints constraintsLabel1 = new java.awt.GridBagConstraints();
	java.awt.GridBagConstraints constraintsLabel2 = new java.awt.GridBagConstraints();
	setName("CommSettingsPanel");
	setName("CommSettingsPanel");
	setLayout(new java.awt.GridBagLayout());
	setBackground(java.awt.Color.lightGray);
	setSize(453, 69);

	constraintsspeedChoice.gridx = 1; constraintsspeedChoice.gridy = 1;
	constraintsspeedChoice.gridwidth = 1; constraintsspeedChoice.gridheight = 1;
	constraintsspeedChoice.fill = java.awt.GridBagConstraints.HORIZONTAL;
	constraintsspeedChoice.anchor = java.awt.GridBagConstraints.CENTER;
	constraintsspeedChoice.weightx = 1.0;
	constraintsspeedChoice.weighty = 0.0;
	((java.awt.GridBagLayout) this.getLayout()).setConstraints(getspeedChoice(), constraintsspeedChoice);
	this.add(getspeedChoice());

	constraintsportChoice.gridx = 3; constraintsportChoice.gridy = 1;
	constraintsportChoice.gridwidth = 1; constraintsportChoice.gridheight = 1;
	constraintsportChoice.fill = java.awt.GridBagConstraints.HORIZONTAL;
	constraintsportChoice.anchor = java.awt.GridBagConstraints.CENTER;
	constraintsportChoice.weightx = 0.4;
	constraintsportChoice.weighty = 0.0;
	((java.awt.GridBagLayout) this.getLayout()).setConstraints(getportChoice(), constraintsportChoice);
	this.add(getportChoice());

	constraintsLabel1.gridx = 0; constraintsLabel1.gridy = 1;
	constraintsLabel1.gridwidth = 1; constraintsLabel1.gridheight = 1;
	constraintsLabel1.anchor = java.awt.GridBagConstraints.CENTER;
	constraintsLabel1.weightx = 0.0;
	constraintsLabel1.weighty = 0.0;
	((java.awt.GridBagLayout) this.getLayout()).setConstraints(getLabel1(), constraintsLabel1);
	this.add(getLabel1());

	constraintsLabel2.gridx = 2; constraintsLabel2.gridy = 1;
	constraintsLabel2.gridwidth = 1; constraintsLabel2.gridheight = 1;
	constraintsLabel2.anchor = java.awt.GridBagConstraints.CENTER;
	constraintsLabel2.weightx = 0.0;
	constraintsLabel2.weighty = 0.0;
	((java.awt.GridBagLayout) this.getLayout()).setConstraints(getLabel2(), constraintsLabel2);
	this.add(getLabel2());
	// user code begin {2}
	getspeedChoice().addItem("300");
	getspeedChoice().addItem("1200");
	getspeedChoice().addItem("2400");
	getspeedChoice().addItem("4800");
	getspeedChoice().addItem("9600");
	getspeedChoice().addItem("19200");
	getspeedChoice().addItem("38400");
	getspeedChoice().addItem("57600");
	getspeedChoice().addItem("115200");
	getspeedChoice().addItem("230400");
	
	for(int i=0;i<256;i++) {
		getportChoice().addItem(""+i);
	}	
	// user code end
}

}